Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.metadata.impl
Class WsrmdUtils

    java.lang.Object
      org.apache.muse.ws.resource.metadata.impl.WsrmdUtils

public class WsrmdUtils
extends java.lang.Object

WsrmdUtils is a set of convenience methods related to WS-RMD 1.0.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`WsrmdUtils()`

Method Summary
`static org.w3c.dom.Element` | `createMetadataDocument(MetadataDescriptor rmd)` This method serializes the given descriptor into XML and then wraps it in a wsrmd:Definitions element so it can be written or published as a valid WSRMD document.
`static org.w3c.dom.Element` | `getMetadataDescriptor(org.w3c.dom.Document rmd, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsrmdUtils

    public WsrmdUtils()

Method Detail

### createMetadataDocument

    public static org.w3c.dom.Element createMetadataDocument(MetadataDescriptor rmd)

  This method serializes the given descriptor into XML and then wraps it in a wsrmd:Definitions element so it can be written or published as a valid WSRMD document.

  Parameters:
    `rmd` -
  Returns:
    The XML for the given MetadataDescriptor, wrapped in a wsrmd:Definitions element.

### getMetadataDescriptor

    public static org.w3c.dom.Element getMetadataDescriptor(org.w3c.dom.Document rmd,
                                                            java.lang.String name)

  Parameters:
    `rmd` - An XML document containing a root element named wsrmd:Definitions.
    `name` - The value of the name attribute for the desired metadata descriptor.
  Returns:
    The metadata descriptor in the document that has the given name, or null if the name is not found.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD